Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 461)
@@ -1,6 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Source.h>
@@ -202,5 +199,5 @@
 		const CClass *pInheritsClass = compiler.GetObjectModule().meta.GetClasses().Find(className);
 		if( !pInheritsClass ){
-			SmoothieException::Throw(106,className,nowLine);
+			SetError(106,className,nowLine);
 			return false;
 		}
@@ -239,5 +236,5 @@
 	if( !compiler.GetObjectModule().meta.GetClasses().LoopRefCheck(inheritsClass) )
 	{
-		SmoothieException::Throw(123,inheritsClass.GetName(),nowLine);
+		SetError(123,inheritsClass.GetName(),nowLine);
 		return false;
 	}
@@ -1468,5 +1465,5 @@
 			pCompilingMethod = pParentClass->GetStaticMethods().GetMethodPtr( pUserProc );
 			if( !pCompilingMethod ){
-				SmoothieException::Throw(300);
+				SetError();
 			}
 		}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Class_Collect.cpp	(revision 461)
@@ -1,6 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Source.h>
@@ -105,5 +102,5 @@
 		else if( source[i] == 1 && source[i+1] == ESC_ENDNAMESPACE ){
 			if( namespaceScopes.size() <= 0 ){
-				SmoothieException::Throw(12, "End Namespace", i );
+				SetError(12, "End Namespace", i );
 			}
 			else{
@@ -124,5 +121,5 @@
 			if( !compiler.GetNamespaceSupporter().ImportsNamespace( temporary ) )
 			{
-				SmoothieException::Throw(64,temporary,i );
+				SetError(64,temporary,i );
 			}
 
@@ -306,5 +303,5 @@
 			if( !compiler.GetNamespaceSupporter().ImportsNamespace( temporary ) )
 			{
-				SmoothieException::Throw(64,temporary,i );
+				SetError(64,temporary,i );
 			}
 
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Compiler.cpp	(revision 461)
@@ -1,5 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Compiler.h>
@@ -208,5 +206,5 @@
 	}
 
-	SmoothieException::Throw( 1 );
+	SetError(1, NULL, cp);
 
 	return (string)"(null)";
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTable.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTable.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/DataTable.cpp	(revision 461)
@@ -1,5 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
 
 #include <DataTable.h>
@@ -39,5 +37,5 @@
 	int retSize = size;
 
-	if( Smoothie::IsUnicode() ){
+	if( compiler.IsUnicode() ){
 		//Shift-JIS → Unicode
 		int size = MultiByteToWideChar(
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Namespace.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Namespace.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Namespace.cpp	(revision 461)
@@ -1,7 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/BasicFixed.h>
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Namespace.h>
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/NamespaceSupporter.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/NamespaceSupporter.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/NamespaceSupporter.cpp	(revision 461)
@@ -1,5 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Compiler.h>
@@ -48,5 +46,5 @@
 		else if( source[i] == 1 && source[i+1] == ESC_ENDNAMESPACE ){
 			if( namespaceScopes.size() <= 0 ){
-				SmoothieException::Throw( 12, "End Namespace", i );
+				SetError( 12, "End Namespace", i );
 				isSuccessful = false;
 			}
@@ -61,5 +59,5 @@
 
 	if( namespaceScopes.size() > 0 ){
-		SmoothieException::Throw( 63 );
+		SetError( 63, NULL, cp );
 		isSuccessful = false;
 	}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp	(revision 461)
@@ -18,4 +18,5 @@
 
 #include "../common.h"
+#include "../BasicFixed.h"
 
 
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Procedure.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Procedure.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Procedure.cpp	(revision 461)
@@ -1,6 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Compiler.h>
@@ -251,5 +248,5 @@
 
 			if( type.IsNull() ){
-				SmoothieException::Throw(3,temporary,nowLine);
+				SetError(3,temporary,nowLine);
 				type.SetBasicType( DEF_PTR_VOID );
 			}
@@ -328,5 +325,5 @@
 		if(sw){
 			//配列パラメータ
-			if( isRef == false ) SmoothieException::Throw(29,NULL,nowLine);
+			if( isRef == false ) SetError(29,NULL,nowLine);
 			isArray = true;
 
@@ -392,5 +389,5 @@
 
 			if( type.IsNull() ){
-				SmoothieException::Throw(3,temporary,nowLine);
+				SetError(3,temporary,nowLine);
 				type.SetBasicType( DEF_PTR_VOID );
 			}
@@ -405,5 +402,5 @@
 		else{
 			type.SetBasicType( Type::GetBasicTypeFromSimpleName(temporary) );
-			SmoothieException::Throw(-103,temporary,nowLine);
+			SetError(-103,temporary,nowLine);
 		}
 
@@ -655,8 +652,4 @@
 	UserProc *pUserProc = new UserProc( namespaceScopes, importedNamespaces, temporary, kind, isMacro, isCdecl, isExport, (id_base++) );
 	pUserProc->SetParentClass( pobj_c );
-	if( Smoothie::isFullCompile ){
-		// すべての関数・メソッドをコンパイルする
-		pUserProc->Using();
-	}
 
 	// 親インターフェイスをセット
@@ -772,5 +765,5 @@
 		if(sw){
 			//配列パラメータ
-			if( isRef == false ) SmoothieException::Throw(29,NULL,nowLine);
+			if( isRef == false ) SetError(29,NULL,nowLine);
 			isArray = true;
 
@@ -818,5 +811,5 @@
 
 			if( type.IsNull() ){
-				SmoothieException::Throw(3,temporary,nowLine);
+				SetError(3,temporary,nowLine);
 				type.SetBasicType( DEF_PTR_VOID );
 			}
@@ -824,5 +817,5 @@
 		else{
 			type.SetBasicType( Type::GetBasicTypeFromSimpleName(temporary) );
-			SmoothieException::Throw(-103,temporary,nowLine);
+			SetError(-103,temporary,nowLine);
 		}
 
@@ -870,5 +863,5 @@
 				}
 				compiler.StringToType( temporary, this->returnType );
-				if( this->returnType.IsNull() ) SmoothieException::Throw(3,temporary,nowLine);
+				if( this->returnType.IsNull() ) SetError(3,temporary,nowLine);
 
 				sw_as=1;
@@ -1066,5 +1059,5 @@
 		if(sw){
 			//配列パラメータ
-			if( isRef == false ) SmoothieException::Throw(29,NULL,nowLine);
+			if( isRef == false ) SetError(29,NULL,nowLine);
 			isArray = true;
 
@@ -1111,5 +1104,5 @@
 
 			if( type.IsNull() ){
-				SmoothieException::Throw(3,temporary,nowLine);
+				SetError(3,temporary,nowLine);
 				type.SetBasicType( DEF_PTR_VOID );
 			}
@@ -1117,5 +1110,5 @@
 		else{
 			type.SetBasicType( Type::GetBasicTypeFromSimpleName(temporary) );
-			SmoothieException::Throw(-103,temporary,nowLine);
+			SetError(-103,temporary,nowLine);
 		}
 
@@ -1163,5 +1156,5 @@
 				}
 				compiler.StringToType( temporary, this->returnType );
-				if( this->returnType.IsNull() ) SmoothieException::Throw(3,temporary,nowLine);
+				if( this->returnType.IsNull() ) SetError(3,temporary,nowLine);
 
 				sw_as=1;
@@ -1181,5 +1174,5 @@
 		if( this->ReturnType().IsNull() ){
 			// 戻り値がない
-			SmoothieException::Throw(26,this->GetName(),nowLine);
+			SetError(26,this->GetName(),nowLine);
 		}
 	}
@@ -1187,5 +1180,5 @@
 		if( !this->ReturnType().IsNull() ){
 			// Sub定義なのに、戻り値がある
-			SmoothieException::Throw(38,this->GetName(),nowLine);
+			SetError(38,this->GetName(),nowLine);
 		}
 	}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/SmoothieImpl.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/SmoothieImpl.cpp	(revision 459)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-
-#include <SmoothieImpl.h>
-#include <Class.h>
-#include <Procedure.h>
-#include <LexicalScope.h>
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Source.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Source.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Source.cpp	(revision 461)
@@ -5,8 +5,4 @@
 #include <jenga/include/common/Directory.h>
 #include <jenga/include/common/Path.h>
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/BasicFixed.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Source.h>
@@ -130,5 +126,5 @@
 	}
 
-	if( Smoothie::IsUnicode() )
+	if( compiler.IsUnicode() )
 	{
 		add( "UNICODE" );
@@ -682,5 +678,5 @@
 				if( !source.ReadFile_InIncludeDirective( temporary ) ){
 					sprintf(temp2,"インクルードファイル \"%s\" をオープンできません",temporary);
-					SmoothieException::Throw(-1,temp2,i);
+					SetError(-1,temp2,i);
 					break;
 				}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Symbol.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Symbol.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Symbol.cpp	(revision 461)
@@ -1,5 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/BasicFixed.h>
 
 #include <Compiler.h>
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Type.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Type.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Type.cpp	(revision 461)
@@ -1,6 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <Class.h>
@@ -119,5 +116,5 @@
 	}
 
-	SmoothieException::Throw();
+	SetError();
 
 	return 0;
@@ -222,5 +219,5 @@
 	{
 		if( !pClass ){
-			SmoothieException::Throw();
+			SetError();
 			return 0;
 		}
@@ -235,5 +232,5 @@
 	}
 
-	SmoothieException::Throw();
+	SetError();
 	return 0;
 }
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/TypeDef.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/TypeDef.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/TypeDef.cpp	(revision 461)
@@ -1,6 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
-#include <jenga/include/smoothie/SmoothieException.h>
 
 #include <TypeDef.h>
@@ -13,5 +10,5 @@
 {
 	if( !compiler.StringToType( baseName, baseType ) ){
-		SmoothieException::Throw(3, baseName, nowLine );
+		SetError(3, baseName, nowLine );
 		return;
 	}
@@ -90,5 +87,5 @@
 
 	if(expression[i]!='='){
-		SmoothieException::Throw(10,"TypeDef",nowLine);
+		SetError(10,"TypeDef",nowLine);
 		return;
 	}
@@ -101,5 +98,5 @@
 		if(temporary[i]=='\0') break;
 		if( !( IsVariableChar( temporary[i], true) ) ){
-			SmoothieException::Throw(10,"TypeDef",nowLine);
+			SetError(10,"TypeDef",nowLine);
 			return;
 		}
@@ -110,5 +107,5 @@
 		//関数ポインタ
 		if(pTemp[3]!='('){
-			SmoothieException::Throw(10,"TypeDef",nowLine);
+			SetError(10,"TypeDef",nowLine);
 			return;
 		}
@@ -121,5 +118,5 @@
 			if( !( IsVariableChar( pTemp[i], true) ) )
 			{
-				SmoothieException::Throw(10,"TypeDef",nowLine);
+				SetError(10,"TypeDef",nowLine);
 				return;
 			}
@@ -173,5 +170,5 @@
 		else if( basbuf[i] == 1 && basbuf[i+1] == ESC_ENDNAMESPACE ){
 			if( namespaceScopes.size() <= 0 ){
-				SmoothieException::Throw(12, "End Namespace", i );
+				SetError(12, "End Namespace", i );
 			}
 			else{
@@ -192,5 +189,5 @@
 			if( !compiler.GetNamespaceSupporter().ImportsNamespace( temporary ) )
 			{
-				SmoothieException::Throw(64,temporary,i );
+				SetError(64,temporary,i );
 			}
 
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Variable.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Variable.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Variable.cpp	(revision 461)
@@ -1,5 +1,3 @@
 #include "stdafx.h"
-
-#include <jenga/include/smoothie/Smoothie.h>
 
 #include <Compiler.h>