Index: trunk/ab5.0/abdev/BasicCompiler_Common/error.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/error.cpp	(revision 459)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/error.cpp	(revision 465)
@@ -5,411 +5,4 @@
 
 #include "../BasicCompiler_Common/common.h"
-
-BOOL GetErrorMsg(int num,const char *KeyWord,char *msg,int pos){
-	extern HANDLE hHeap;
-	int i2;
-	char temporary[64];
-
-	char tempKeyWord[1024];
-	if(KeyWord){
-		lstrcpy(tempKeyWord,KeyWord);
-		for(i2=0;;i2++){
-			if(tempKeyWord[i2]=='\0') break;
-			if(tempKeyWord[i2]==1){
-				GetDefaultNameFromES(tempKeyWord[i2+1],temporary);
-				SlideString(tempKeyWord+i2+2,lstrlen(temporary)-2);
-				memcpy(tempKeyWord+i2,temporary,lstrlen(temporary));
-			}
-		}
-	}
-	else{
-		lstrcpy(tempKeyWord,"");
-	}
-
-	if(num==-1||num==-2) lstrcpy(msg,tempKeyWord);	//部分エラー
-
-	if(num==3){
-		temporary[0]=tempKeyWord[0];
-		for(i2=1;;i2++){
-			if((!IsVariableChar(tempKeyWord[i2]))||i2>=255){
-				temporary[i2]=0;
-				break;
-			}
-			temporary[i2]=tempKeyWord[i2];
-		}
-
-		extern char **SynonymErrorWords;
-		extern int SynonymErrorNum;
-		for(i2=0;i2<SynonymErrorNum;i2++){
-			if(lstrcmp(SynonymErrorWords[i2],temporary)==0) return 0;
-		}
-
-#if defined(JPN)
-		//日本語
-		sprintf(msg,"\"%s\" 無効な識別子です",temporary);
-#else
-		//英語
-		sprintf(msg,"\"%s\" Invalid identifier.",temporary);
-#endif
-
-		//重複エラー情報を追加
-		SynonymErrorWords=(char **)HeapReAlloc(hHeap,0,SynonymErrorWords,(SynonymErrorNum+1)*sizeof(char *));
-		SynonymErrorWords[SynonymErrorNum]=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
-		lstrcpy(SynonymErrorWords[SynonymErrorNum],temporary);
-		SynonymErrorNum++;
-	}
-	if(num==30){
-#if defined(JPN)
-		//日本語
-		if(temporary[0]) sprintf(msg,"\"%s\" の使い方が不正です",tempKeyWord);
-		else lstrcpy(msg,"文法が間違っています");
-#else
-		//英語
-		if(temporary[0]) sprintf(msg,"How to use the \"%s\" is wrong.",tempKeyWord);
-		else lstrcpy(msg,"Syntax Error.");
-#endif
-	}
-
-
-	/////////////////////
-	// ワーニングエラー
-	/////////////////////
-#if defined(JPN)
-	////////////////////
-	//日本語
-	////////////////////
-	if(num==-101) sprintf(msg,"[警告] %sに強制変換されています。データが失われる可能性があります。",tempKeyWord);
-	if(num==-102) sprintf(msg,"[警告] %sに強制変換されています。",tempKeyWord);
-	if(num==-103) sprintf(msg,"[警告] \"%s\" 型が指定されていません。Double型として扱います。",tempKeyWord);
-	if(num==-104) sprintf(msg,"[警告] \"%s\" 戻り値の型が指定されていません。Double型として扱います。",tempKeyWord);
-	if(num==-105) sprintf(msg,"[警告] 一時オブジェクトの解放を行えません。キャスト用オブジェクトを用意してください。",tempKeyWord);
-	if(num==-106) sprintf(msg,"[警告] DLLファイル \"%s\" が見つかりません。",tempKeyWord);
-	if(num==-107) sprintf(msg,"[警告] DLL関数 \"%s\" を参照できません。",tempKeyWord);
-	if(num==-108) lstrcpy(msg,"[警告] Catch節、Finally節を持たない意味のないTryスコープです。");
-	if(num==-120) sprintf(msg,"[警告] VarPtr関数の引数にオブジェクト インスタンスが指定されました。オブジェクトの先頭アドレスを取得したいときはObjPtr関数に切り替えをお願いします。m(__)m（この警告はVarPtr→ObjPtrへの切り替えが完了したら消します（切り替えは \"適材箇所に限り\" ですので、ご注意ください！））",tempKeyWord);
-#else
-#endif
-
-
-	///////////////
-	// 一般エラー
-	///////////////
-
-#if defined(JPN)
-	////////////////////
-	//日本語
-	////////////////////
-	if(num==1) lstrcpy(msg,"文法が間違っています。");
-	if(num==2) sprintf(msg,"左のオペランドが、左辺値になっていません。");
-	//num==3は予約されています
-	if(num==4) sprintf(msg,"%sの相互関係が一致しません。",tempKeyWord);
-	if(num==5) sprintf(msg,"ダブルクォートの数が一致しません。");
-	if(num==6) sprintf(msg,"\"%s\" ジャンプ先が不正です。",tempKeyWord);
-	if(num==7) lstrcpy(msg,"DLL名が長すぎます（拡張子を含め、16文字以下にして下さい）。");
-	if(num==8) lstrcpy(msg,"コンパイラが認識できない文字コードが含まれています。");
-	if(num==9) sprintf(msg,"型が違います。");
-	if(num==10) sprintf(msg,"\"%s\" のパラメータ指定が間違っています。",tempKeyWord);
-	if(num==11) sprintf(msg,"\"%s\" 型が違います。",tempKeyWord);
-	if(num==12) sprintf(msg,"%s の使い方が不正です。",tempKeyWord);
-	if(num==13) sprintf(msg,"\"%s\" を参照できません。",tempKeyWord);
-	if(num==14) sprintf(msg,"\"%s\" 配列指定が不正です。",tempKeyWord);
-	if(num==15) sprintf(msg,"\"%s\" はすでに定義されています。",tempKeyWord);
-	if(num==16) sprintf(msg,"\"%s\" 配列、またはポインタ以外の変数に添え字が指定されています。",tempKeyWord);
-	if(num==17) sprintf(msg,"リソース データが不正です。");
-	if(num==18) sprintf(msg,"\"%s\"はポインタ変数型です。文字列演算を指定することはできません。",tempKeyWord);
-	if(num==19) sprintf(msg,"\"%s\"は値参照型です。ByVal指定することはできません。",tempKeyWord);
-	if(num==20) lstrcpy(msg,"全角スペースが含まれています（全角スペースはコンパイラが認識できないので、半角スペースまたはタブ文字にしてください）。");
-	if(num==21) sprintf(msg,"If制御のブロック指定が不正です。");
-	if(num==22) sprintf(msg,"%s に対する End %s が見つかりません。",tempKeyWord,tempKeyWord);
-	if(num==23) sprintf(msg,"リソース ファイル \"%s\" の読み込みに失敗。",tempKeyWord);
-	if(num==24) lstrcpy(msg,"Export指定の関数のパラメータには実体オブジェクトを利用することはできません（BytePtr型などを利用して下さい）。");
-	if(num==25) sprintf(msg,"DLL関数にオブジェクトを引き渡すことはできません(%s)。",tempKeyWord);
-	if(num==26) sprintf(msg,"\"%s\" 戻り値の型が指定されていません。",tempKeyWord);
-	if(num==27) sprintf(msg,"\"%s\" は定義されていません。",tempKeyWord);
-	if(num==28) sprintf(msg,"構造体パラメータは参照渡しにしてください(%s)。",tempKeyWord);
-	if(num==29) sprintf(msg,"配列ポインタを要素と同時に引渡すときは、ポインタ参照（ByRef）にしてください。");
-	//num==30は予約されています
-	if(num==31) sprintf(msg,"\"%s\" は構造体です（メンバの参照はピリオド \".\" で区切ってください）。",tempKeyWord);
-	if(num==32) sprintf(msg,"\"%s\" は構造体ポインタです（メンバの参照は \"->\" で区切ってください）。",tempKeyWord);
-	if(num==33) sprintf(msg,"定数式にリテラル値、または定数以外のものが含まれています。");
-	if(num==34) sprintf(msg,"定数はモジュールレベルで宣言して下さい。");
-	if(num==38) sprintf(msg,"\"%s\" 戻り値が存在しないプロシージャです。",tempKeyWord);
-	if(num==39) sprintf(msg,"\"%s\" はオブジェクトポインタではありません（\"->\" 参照はできません）。",tempKeyWord);
-	if(num==40) lstrcpy(msg,"DLL関数の戻り値としてオブジェクトを受け取ることはできません。");
-	if(num==41) lstrcpy(msg,"初期データが不正です。");
-	if(num==42) lstrcpy(msg,"閉じカッコ \")\" の後に不正な文字が含まれています。");
-	if(num==43) lstrcpy(msg,"ダブルクォートの後に不正な文字が含まれています。");
-	if(num==45) sprintf(msg,"実数に対して \"%s\" 演算子は利用できません。",tempKeyWord);
-	if(num==46) lstrcpy(msg,"配列の添え字に整数以外の値が与えられています。");
-	if(num==47) lstrcpy(msg,"As演算子の右辺値に型名以外の識別子が指定されています。");
-	if(num==48) sprintf(msg,"%s演算子に対して型名が指定されています。",tempKeyWord);
-	if(num==49) lstrcpy(msg,"添え字に整数以外の型が指定されています。");
-	if(num==50) sprintf(msg,"%sに変換できません。",tempKeyWord);
-	if(num==51) lstrcpy(msg,"オブジェクト、構造体のアラインメント値は 1, 2, 4, 8, 16 のいずれかでなければなりません。");
-	if(num==52) sprintf(msg,"\"%s\" オーバーロードを解決できません。",tempKeyWord);
-	if(num==53) sprintf(msg,"\"%s\" 出力ファイルの書き込みに失敗しました。実行されている可能性があります。",tempKeyWord);
-	if(num==54) sprintf(msg,"対応する%sが存在しません。",tempKeyWord);
-	if(num==55) sprintf(msg,"\"%s\" は対応するForステートメントで利用されるカウンタ変数ではありません。",tempKeyWord);
-	if(num==56) lstrcpy(msg,"ゼロ割りが行われました。");
-	if(num==57) lstrcpy(msg,"8進数のリテラル表記が不正です。");
-	if(num==58) lstrcpy(msg,"16進数のリテラル表記が不正です。");
-	if(num==59) sprintf(msg,"マニフェスト ファイル \"%s\" の読み込みに失敗。",tempKeyWord);
-	if(num==60) lstrcpy(msg,"Staticステートメントはグローバル領域では使用できません。");
-	if(num==61) sprintf(msg,"\"%s\" は定数です。書き込みアクセスはできません。",tempKeyWord);
-	if(num==62) sprintf(msg,"グローバル領域でのReturnは禁止されています。",tempKeyWord);
-	if(num==63) lstrcpy(msg,"名前空間が正しく閉じられていません。");
-	if(num==64) sprintf(msg,"\"%s\" 無効な名前空間です。",tempKeyWord);
-	if(num==65) sprintf(msg,"ローカル領域で%sは使用できません。",tempKeyWord);
-	if(num==66) sprintf(msg,"%s 要求されている関数ポインタのパラメータまたは戻り値が一致しません。", tempKeyWord );
-	if(num==67) sprintf(msg,"%s 要求されているデリゲートのパラメータまたは戻り値が一致しません。", tempKeyWord );
-	if(num==68) sprintf(msg,"\"%s\" 不正な関数名です。", tempKeyWord);
-	if(num==69) sprintf(msg,"\"%s\" 不正なメソッド名です。", tempKeyWord);
-	if(num==70) lstrcpy(msg,"一つのTryに対して複数のFinallyを記述できません。");
-	if(num==71) lstrcpy(msg,"Finallyの後ろにCatchを記述することはできません。");
-	if(num==72) lstrcpy(msg,"Catchのパラメータの型が指定されていません。");
-	if(num==73) lstrcpy(msg,"\"%s\" Catchのパラメータの型はクラス型でなければなりません。");
-	if(num==74) sprintf(msg,"\"%s\" 型として認識できません。",tempKeyWord);
-
-
-	//オブジェクト関連
-	if(num==102) sprintf(msg,"\"%s\" オブジェクトは定義されていません。",tempKeyWord);
-	if(num==103) sprintf(msg,"\"%s\" メンバは定義されていません。",tempKeyWord);
-	if(num==104) sprintf(msg,"\"%s\" 参照方法が違います。",tempKeyWord);
-	if(num==105) sprintf(msg,"\"%s\" 自身のクラスを継承することはできません。",tempKeyWord);
-	if(num==106) sprintf(msg,"\"%s\" 存在しないクラスです。",tempKeyWord);
-	if(num==107) sprintf(msg,"Privateメンバ \"%s\" にアクセスすることはできません。",tempKeyWord);
-	if(num==108) sprintf(msg,"Protectedメンバ \"%s\" にアクセスすることはできません。",tempKeyWord);
-	if(num==109) sprintf(msg,"Privateメンバ関数 \"%s\" を呼び出すことはできません。",tempKeyWord);
-	if(num==110) sprintf(msg,"Protectedメンバ関数 \"%s\" を呼び出すことはできません。",tempKeyWord);
-	if(num==111) lstrcpy(msg,"InheritsはClass定義内の先頭に記述する必要があります。");
-	if(num==112) sprintf(msg,"\"%s\" はクラス型ではないため、初期パラメータを指定することはできません。",tempKeyWord);
-	if(num==113) sprintf(msg,"\"%s\" コンストラクタへ渡すパラメータが不正です。",tempKeyWord);
-	if(num==114) lstrcpy(msg,"デストラクタはパラメータを持てません。");
-	if(num==115) lstrcpy(msg,"コンストラクタ及びデストラクタは戻り値を持てません。");
-	//if(num==116) lstrcpy(msg,"コンストラクタ及びデストラクタはパブリックアクセスにしなければなりません。");
-	if(num==117) lstrcpy(msg,"デストラクタの名前が \"~クラス名\" になっていません。");
-	if(num==118) lstrcpy(msg,"参照する基底クラスが存在しません。");
-	if(num==119) sprintf(msg,"\"%s\" メンバは基底クラスで定義されていません。",tempKeyWord);
-	if(num==120) lstrcpy(msg,"デストラクトするオブジェクトの型が不明です。");
-	if(num==121) lstrcpy(msg,"New演算子にはクラス以外の型を指定できません。");
-	if(num==122) lstrcpy(msg,"Delete演算子にポインタ以外の型が指定されています。");
-	if(num==123) lstrcpy(msg,"ループ継承が行われました。");
-	if(num==124) lstrcpy(msg,"循環参照が行われました。");
-	if(num==125) sprintf(msg,"\"%s\" は抽象クラスです。インスタンス化することはできません。",tempKeyWord);
-	if(num==126) lstrcpy(msg,"オペレータのオーバーロードをクラスの外で行うことはできません。");
-	if(num==127) lstrcpy(msg,"Override修飾子の指定が無い状況でオーバーライドを行うことはできません。");
-	if(num==128) lstrcpy(msg,"オーバーライドを行うときはアクセシビリティを同一にしなければなりません。");
-	if(num==129) sprintf(msg,"静的メンバ \"%s\" は定義されていません。",tempKeyWord);
-	if(num==130) sprintf(msg,"\"%s\" はオブジェクト定数です。書き込みアクセスはできません。",tempKeyWord);
-	if(num==131) lstrcpy(msg,"Const定義されたメソッド内でクラスメンバへの書き込みアクセスはできません。");
-	if(num==132) lstrcpy(msg,"明示的なコンストラクタ呼び出しと初期値の指定を同時に行うことはできません。");
-	if(num==133) lstrcpy(msg,"Thisに代入はできません。");
-	if(num==134) lstrcpy( msg,"ObjPtr関数にはオブジェクト インスタンス以外を指定できません。" );
-	if(num==135) lstrcpy( msg, "クラス以外の型を継承元として指定することはできません。" );
-	if(num==136) sprintf( msg, "\"%s\" 非仮想関数に対してオーバーライドしようとしました。", tempKeyWord );
-	if(num==137) lstrcpy(msg,"ImplementsはClass定義内の先頭に記述する必要があります。");
-	if(num==138) sprintf(msg,"%s はインターフェイスではありません。Implementsできるのはインターフェイスに限ります。",tempKeyWord);
-	if(num==139) sprintf(msg,"%s はインターフェイスではありません。",tempKeyWord);
-	if(num==140) lstrcpy(msg,"Align修飾子を構造体以外の型に指定することはできません。");
-	if(num==141) lstrcpy(msg,"Blittable修飾子をクラス以外の型に指定することはできません。");
-	if(num==142) lstrcpy(msg,"不正なThis参照です。");
-
-	//Enum関連
-	if(num==150) sprintf(msg,"\"%s\" 値が定義されていません。",tempKeyWord);
-	if(num==151) sprintf(msg,"\"%s\" 列挙リストに登録されていません。",tempKeyWord);
-
-	//リンカ
-	if(num==200) sprintf(msg,"\"%s\" 未解決です (リンク エラー)。",tempKeyWord);
-	if(num==201) sprintf(msg,"\"%s\" の読み込みに失敗。",tempKeyWord);
-
-	//原因不明
-	if(num==300) lstrcpy(msg,"内部エラー");
-
-	// ベースライブラリ不整合
-	if( num == 400 )	sprintf( msg, "\"%s\" が存在しません。標準ライブラリの内容が古い可能性があります。", tempKeyWord );
-
-#else
-	////////////////////
-	//英語
-	////////////////////
-	if(num==1) lstrcpy(msg,"Syntax Error.");
-	if(num==2) sprintf(msg,"Left operand must be l-value.");
-	//num==3は予約されています
-	if(num==4) sprintf(msg,"Correlation of %s is wrong.",tempKeyWord);
-	if(num==5) sprintf(msg,"Correlation of double quotes is wrong.");
-	if(num==6) sprintf(msg,"\"%s\" Label not found.",tempKeyWord);
-	if(num==7) lstrcpy(msg,"The DLL name is too long. Must be 16 characters or less.");
-	if(num==8) lstrcpy(msg,"The inaccurate characters are contained.");
-	if(num==9) sprintf(msg,"Type is wrong.");
-	if(num==10) sprintf(msg,"\"%s\" Rule of parameter is wrong.",tempKeyWord);
-	if(num==11) sprintf(msg,"\"%s\" Type is wrong.",tempKeyWord);
-	if(num==12) sprintf(msg,"\"%s\" Not a valid use.",tempKeyWord);
-	if(num==13) sprintf(msg,"Cannot refer to \"%s\".",tempKeyWord);
-	if(num==14) sprintf(msg,"\"%s\" Array argument(s) out of bound.",tempKeyWord);
-	if(num==15) sprintf(msg,"\"%s\" is already defined.",tempKeyWord);
-	if(num==16) sprintf(msg,"\"%s\" Argument(s) following variable which is not pointer or array.",tempKeyWord);
-	if(num==17) sprintf(msg,"Invalid resource data.");
-	if(num==18) sprintf(msg,"\"%s\" Invalid operation on a pointer variable.",tempKeyWord);
-	if(num==19) sprintf(msg,"\"%s\" is already to be passed by value. You cannot use \"ByVal\".",tempKeyWord);
-	if(num==21) sprintf(msg,"Wrong structure of \"If\" block.");
-	if(num==22) sprintf(msg,"No matching \"End %s\" found for \"%s\".",tempKeyWord,tempKeyWord);
-	if(num==23) sprintf(msg,"Cannot read the resource file \"%s\".",tempKeyWord);
-	if(num==24) lstrcpy(msg,"Must not use String type as an argument for exported function. (Use BytePtr type instead.)");
-	if(num==27) sprintf(msg,"\"%s\" Undefined procedure.",tempKeyWord);
-	if(num==28) sprintf(msg,"\"%s\" Structure must not be passed by value. (Use \"ByRef\".)",tempKeyWord);
-	if(num==29) sprintf(msg,"Array must not be passed by value. (Use \"ByRef\".)");
-	//num==30は予約されています
-	if(num==31) sprintf(msg,"\"%s\" is a struct. (Use period \".\" to refer to the members.)",tempKeyWord);
-	if(num==32) sprintf(msg,"\"%s\" is a pointer of struct. (Use arrow \"->\" to refer to the members.)",tempKeyWord);
-	if(num==33) sprintf(msg,"Constant formula has a thing that is not literal value or constant value.");
-	if(num==34) sprintf(msg,"Constant formula must be defined in the module level.");
-	if(num==38) sprintf(msg,"\"%s\" is a procedure without a return value.",tempKeyWord);
-	if(num==39) sprintf(msg,"\"%s\" is not object pointer. \"->\" is invalid.",tempKeyWord);
-	if(num==40) lstrcpy(msg,"Cannot set a object to return value.");
-	if(num==41) lstrcpy(msg,"Init data is wrong.");
-	if(num==42) lstrcpy(msg,"The inaccurate characters are contained after the closing parenthesis \")\".");
-	if(num==43) lstrcpy(msg,"The inaccurate characters are contained after the double quote.");
-
-	//オブジェクト関連
-	if(num==102) sprintf(msg,"\"%s\" The object is not defined.",tempKeyWord);
-	if(num==103) sprintf(msg,"\"%s\" The member is not defined.",tempKeyWord);
-	if(num==104) sprintf(msg,"\"%s\" The reference character is different.",tempKeyWord);
-	if(num==105) sprintf(msg,"\"%s\" An own class is not inheritable.",tempKeyWord);
-	if(num==106) sprintf(msg,"\"%s\" It class is not defined.",tempKeyWord);
-	if(num==107) sprintf(msg,"\"%s\" Cannot access the private member.",tempKeyWord);
-	if(num==108) sprintf(msg,"\"%s\" Cannot access the protected member.",tempKeyWord);
-	if(num==109) sprintf(msg,"\"%s\" Cannot call the private member.",tempKeyWord);
-	if(num==110) sprintf(msg,"\"%s\" Cannot call the protected member.",tempKeyWord);
-	if(num==111) lstrcpy(msg,"The Inherits phrase must be described to the 1st line of class module");
-	if(num==112) sprintf(msg,"\"%s\" is not class object. Therefor you cannot set the parameter for constructor.",tempKeyWord);
-	if(num==113) sprintf(msg,"\"%s\" The parameter for constructor is wrong.",tempKeyWord);
-	if(num==114) lstrcpy(msg,"Destructor cannot have a parameter.");
-	if(num==115) lstrcpy(msg,"Constructor and Destructor cannot have a return value.");
-	if(num==116) lstrcpy(msg,"Constructor and Destructor must be public access.");
-	if(num==117) lstrcpy(msg,"Destructors name must be \"~ClassName\".");
-	if(num==118) lstrcpy(msg,"Super class is not found.");
-	if(num==119) sprintf(msg,"\"%s\" The member is not defined in the super class.",tempKeyWord);
-
-	//Enum関連
-	if(num==150) sprintf(msg,"\"%s\" The value is not set",tempKeyWord);
-	if(num==151) sprintf(msg,"\"%s\" is not found from enum lists.",tempKeyWord);
-
-	//リンカ
-	if(num==200) sprintf(msg,"\"%s\" Unknown error.",tempKeyWord);
-#endif
-
-	return 1;
-}
-void SetError(int ErrorNum,const string &keyWord,int pos){
-	SetError( ErrorNum, keyWord.c_str(), pos );
-}
-void SetError(int num,const char *KeyWord,int pos){
-	extern HANDLE hHeap;
-	extern HWND hMainDlg;
-	extern ERRORINFO *pErrorInfo;
-	extern int ErrorNum;
-	char temporary[1024],temp2[1024],temp3[32];
-	BOOL bFirst;
-	int i2;
-
-	extern BOOL bDebugRun;
-	if(bDebugRun) return;
-
-	if(num!=-2){
-		//一般エラーまたは警告
-		i2=0;	//ここにブレークポイントをおく
-
-		if(num>-100){
-			//エラーのみ
-
-			i2=0;
-
-			if( num == 300 )
-			{
-				// 内部エラー
-				i2=0;
-			}
-		}
-
-	}
-
-	if(!GetErrorMsg(num,KeyWord,temporary,pos)) return;
-
-	if(ErrorNum==0){
-		SetDlgItemText(hMainDlg,IDC_ERRORLIST,"");
-		EnableWindow(GetDlgItem(hMainDlg,IDC_ERRORLIST),1);
-		bFirst=1;
-	}
-	else bFirst=0;
-
-
-	////////////////////
-	// エラー情報を追加
-	pErrorInfo=(ERRORINFO *)HeapReAlloc(hHeap,0,pErrorInfo,(ErrorNum+1)*sizeof(ERRORINFO));
-
-	if(pos==-1){
-		pErrorInfo[ErrorNum].FileName=0;
-		lstrcpy(temp2,temporary);
-	}
-	else{
-		std::string dummyStr;
-		compiler.GetObjectModule().GetCurrentSource().GetLineInfo( pos, pErrorInfo[ErrorNum].line, dummyStr );
-
-		pErrorInfo[ErrorNum].FileName=(char *)HeapAlloc(hHeap,0,lstrlen(dummyStr.c_str())+1);
-		lstrcpy(pErrorInfo[ErrorNum].FileName,dummyStr.c_str());
-
-		_splitpath(pErrorInfo[ErrorNum].FileName,0,0,temp2,temp3);
-		lstrcat(temp2,temp3);
-
-		if(pErrorInfo[ErrorNum].line==-1)
-			sprintf(temp2+lstrlen(temp2),"(no area) %s",temporary);
-		else
-			sprintf(temp2+lstrlen(temp2),"(%d) - %s",pErrorInfo[ErrorNum].line+1,temporary);
-	}
-
-	i2=GetWindowTextLength(GetDlgItem(hMainDlg,IDC_ERRORLIST));
-	SendDlgItemMessage(hMainDlg,IDC_ERRORLIST,EM_SETSEL,i2,i2);
-	if(bFirst==0){
-		SendDlgItemMessage(hMainDlg,IDC_ERRORLIST,EM_REPLACESEL,0,(LPARAM)"\r\n");
-		i2+=2;
-		SendDlgItemMessage(hMainDlg,IDC_ERRORLIST,EM_SETSEL,i2,i2);
-	}
-	SendDlgItemMessage(hMainDlg,IDC_ERRORLIST,EM_REPLACESEL,0,(LPARAM)temp2);
-
-	std::string msg = temp2;
-	if(num==-2){
-		//コンパイルメッセージ
-		//※何もしない
-		extern int CompileMsgNum;
-		CompileMsgNum++;
-	}
-	else{
-		msg = (num>-100) ? "error - " : "warning - ";
-		msg += temp2;
-		if(num>-100){
-			//警告ではなく、エラーの場合はエラーチェックフラグを立てる
-			extern BOOL bError;
-			bError=1;
-		}
-		else{
-			extern int WarningNum;
-			WarningNum++;
-		}
-
-		// ログに出力
-		trace( msg );
-	}
-
-	std::cout << msg << endl;
-
-
-	ErrorNum++;
-}
-void SetError(){
-	SetError(300,NULL,cp);
-}
-void CompileMessage(const char *buffer){
-	SetError(-2,buffer,-1);
-}
 
 #define STRING_SYSTEM_DECLAREHANDLE "*_System_DeclareHandle_"
@@ -444,7 +37,7 @@
 
 	extern int cp;
-	if(iWarning==1) SetError(-101,temporary,cp);
- 	else if(iWarning==2) SetError(-102,temporary,cp);
- 	else if(iWarning==3) SetError(50,temporary,cp);
+	if(iWarning==1) compiler.errorMessenger.Output(-101,temporary,cp);
+ 	else if(iWarning==2) compiler.errorMessenger.Output(-102,temporary,cp);
+ 	else if(iWarning==3) compiler.errorMessenger.Output(50,temporary,cp);
 }
 