Index: trunk/ab5.0/abdev/BasicCompiler32/BasicCompiler.rc
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler32/BasicCompiler.rc	(revision 464)
+++ trunk/ab5.0/abdev/BasicCompiler32/BasicCompiler.rc	(revision 466)
@@ -1,3 +1,3 @@
-//Microsoft Developer Studio generated resource script.
+// Microsoft Visual C++ generated resource script.
 //
 #include "resource.h"
@@ -28,10 +28,10 @@
 //
 
-1 TEXTINCLUDE MOVEABLE PURE 
+1 TEXTINCLUDE 
 BEGIN
     "resource.h\0"
 END
 
-2 TEXTINCLUDE MOVEABLE PURE 
+2 TEXTINCLUDE 
 BEGIN
     "#include ""afxres.h""\r\n"
@@ -39,5 +39,5 @@
 END
 
-3 TEXTINCLUDE MOVEABLE PURE 
+3 TEXTINCLUDE 
 BEGIN
     "\r\n"
@@ -55,9 +55,9 @@
 #if defined(APSTUDIO_INVOKED) || defined(JPN)
 #if defined(APSTUDIO_INVOKED)
-IDD_MAIN$(JPN) DIALOG DISCARDABLE  0, 0, 205, 229
-#else
-IDD_MAIN DIALOG DISCARDABLE  0, 0, 205, 229
-#endif
-STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
+IDD_MAIN$(JPN) DIALOG  0, 0, 205, 229
+#else
+IDD_MAIN DIALOG  0, 0, 205, 229
+#endif
+STYLE DS_SETFONT | DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
 CAPTION "ActiveBasic Compiler(32bit)"
 FONT 9, "ＭＳ Ｐゴシック"
@@ -66,19 +66,12 @@
     LTEXT           "出力先:",IDC_STATIC,7,10,23,8
     EDITTEXT        IDC_EXEPATH,34,7,164,14,ES_AUTOHSCROLL
-    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x0,13,56,
-                    179,14
+    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x0,13,56,179,14
     GROUPBOX        "進行状況",IDC_STATIC,7,31,191,45
     LTEXT           "準備中...",IDC_MESSAGE,13,44,161,8
     GROUPBOX        "メッセージ リスト",IDC_STATIC,7,83,191,117
-    EDITTEXT        IDC_ERRORLIST,13,113,179,80,ES_MULTILINE | 
-                    ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | 
-                    WS_VSCROLL | WS_HSCROLL
-    CONTROL         "エラー",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,13,97,35,10
-    CONTROL         "デバッグ",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,50,97,35,10
-    EDITTEXT        IDC_DEBUGLIST,13,113,179,80,ES_MULTILINE | 
-                    ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | 
-                    WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    EDITTEXT        IDC_ERRORLIST,13,113,179,80,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "エラー",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,13,97,35,10
+    CONTROL         "デバッグ",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,50,97,35,10
+    EDITTEXT        IDC_DEBUGLIST,13,113,179,80,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
     LTEXT           "Version",IDC_STATIC_VERSION,7,214,140,8
 END
@@ -87,9 +80,9 @@
 #if defined(APSTUDIO_INVOKED) || defined(JPN)
 #if defined(APSTUDIO_INVOKED)
-IDD_VARLIST$(JPN) DIALOG DISCARDABLE  0, 0, 215, 199
-#else
-IDD_VARLIST DIALOG DISCARDABLE  0, 0, 215, 199
-#endif
-STYLE WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
+IDD_VARLIST$(JPN) DIALOG  0, 0, 215, 199
+#else
+IDD_VARLIST DIALOG  0, 0, 215, 199
+#endif
+STYLE DS_SETFONT | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
 CAPTION "ブレーク ポイント"
 FONT 9, "ＭＳ Ｐゴシック"
@@ -98,18 +91,11 @@
     LTEXT           "対象領域:",IDC_STATIC,2,9,30,8
     LTEXT           "対象スレッド:",IDC_STATIC,2,26,38,8
-    COMBOBOX        IDC_THREADCOMBO,43,24,69,100,CBS_DROPDOWNLIST | CBS_SORT | 
-                    WS_VSCROLL | WS_TABSTOP
-    CONTROL         "Tree1",IDC_VARTREE,"SysTreeView32",TVS_HASBUTTONS | 
-                    TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP,
-                    0,88,215,111
-    CONTROL         "グローバル",IDC_GLOBAL,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,43,6,47,14
-    CONTROL         "ローカル",IDC_LOCAL,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,92,6,47,14
+    COMBOBOX        IDC_THREADCOMBO,43,24,69,100,CBS_DROPDOWNLIST | CBS_SORT | WS_VSCROLL | WS_TABSTOP
+    CONTROL         "Tree1",IDC_VARTREE,"SysTreeView32",TVS_HASBUTTONS | TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP,0,88,215,111
+    CONTROL         "グローバル",IDC_GLOBAL,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,43,6,47,14
+    CONTROL         "ローカル",IDC_LOCAL,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,92,6,47,14
     LTEXT           "プロシージャ:",IDC_STATIC,2,43,39,8
-    COMBOBOX        IDC_PROCCOMBO,43,40,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | 
-                    WS_TABSTOP
-    CONTROL         "システム変数を表示しない",IDC_HIDESYSVAR,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,117,44,93,10
+    COMBOBOX        IDC_PROCCOMBO,43,40,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    CONTROL         "システム変数を表示しない",IDC_HIDESYSVAR,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,117,44,93,10
     PUSHBUTTON      "ステップ(IN)",IDC_STEPIN,4,64,50,14
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,59,215,1
@@ -125,23 +111,15 @@
 IDD_CLIPMAIN DIALOGEX 0, 0, 332, 88
 #endif
-STYLE WS_CHILD
+STYLE DS_SETFONT | WS_CHILD
 FONT 9, "ＭＳ Ｐゴシック", 0, 0, 0x1
 BEGIN
     PUSHBUTTON      "コンパイル",IDOK,0,0,37,13
-    EDITTEXT        IDC_EXEPATH,285,57,24,12,ES_AUTOHSCROLL | ES_READONLY | 
-                    NOT WS_VISIBLE
-    EDITTEXT        IDC_ERRORLIST,38,14,129,74,ES_MULTILINE | ES_AUTOVSCROLL | 
-                    ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
-    CONTROL         "ビルド",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,0,20,37,12
-    CONTROL         "デバッグ",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,0,34,37,12
-    EDITTEXT        IDC_DEBUGLIST,38,15,179,73,ES_MULTILINE | ES_AUTOVSCROLL | 
-                    ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | 
-                    WS_VSCROLL | WS_HSCROLL
-    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",PBS_SMOOTH,
-                    38,1,293,12
-    LTEXT           "準備中...",IDC_MESSAGE,286,47,24,8,NOT WS_VISIBLE,
-                    WS_EX_TRANSPARENT
+    EDITTEXT        IDC_EXEPATH,285,57,24,12,ES_AUTOHSCROLL | ES_READONLY | NOT WS_VISIBLE
+    EDITTEXT        IDC_ERRORLIST,38,14,129,74,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "ビルド",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,0,20,37,12
+    CONTROL         "デバッグ",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,0,34,37,12
+    EDITTEXT        IDC_DEBUGLIST,38,15,179,73,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x1,38,1,293,12
+    LTEXT           "準備中...",IDC_MESSAGE,286,47,24,8,NOT WS_VISIBLE,WS_EX_TRANSPARENT
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,16,39,1
 END
@@ -154,23 +132,15 @@
 IDD_CLIPMAIN DIALOGEX 0, 0, 332, 88
 #endif
-STYLE WS_CHILD
+STYLE DS_SETFONT | WS_CHILD
 FONT 9, "ＭＳ Ｐゴシック", 0, 0, 0x1
 BEGIN
     PUSHBUTTON      "Compile",IDOK,0,0,37,11
-    EDITTEXT        IDC_EXEPATH,285,57,24,12,ES_AUTOHSCROLL | ES_READONLY | 
-                    NOT WS_VISIBLE
-    EDITTEXT        IDC_ERRORLIST,38,13,129,75,ES_MULTILINE | ES_AUTOVSCROLL | 
-                    ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
-    CONTROL         "Error",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,0,17,37,10
-    CONTROL         "Debug",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,0,28,37,10
-    EDITTEXT        IDC_DEBUGLIST,38,14,179,74,ES_MULTILINE | ES_AUTOVSCROLL | 
-                    ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | 
-                    WS_VSCROLL | WS_HSCROLL
-    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",PBS_SMOOTH,
-                    38,0,293,12
-    LTEXT           "Waiting...",IDC_MESSAGE,286,47,24,8,NOT WS_VISIBLE,
-                    WS_EX_TRANSPARENT
+    EDITTEXT        IDC_EXEPATH,285,57,24,12,ES_AUTOHSCROLL | ES_READONLY | NOT WS_VISIBLE
+    EDITTEXT        IDC_ERRORLIST,38,13,129,75,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "Error",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,0,17,37,10
+    CONTROL         "Debug",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,0,28,37,10
+    EDITTEXT        IDC_DEBUGLIST,38,14,179,74,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x1,38,0,293,12
+    LTEXT           "Waiting...",IDC_MESSAGE,286,47,24,8,NOT WS_VISIBLE,WS_EX_TRANSPARENT
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,13,39,1
 END
@@ -179,9 +149,9 @@
 #if defined(APSTUDIO_INVOKED) || defined(ENG)
 #if defined(APSTUDIO_INVOKED)
-IDD_MAIN$(ENG) DIALOG DISCARDABLE  0, 0, 205, 229
-#else
-IDD_MAIN DIALOG DISCARDABLE  0, 0, 205, 229
-#endif
-STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
+IDD_MAIN$(ENG) DIALOG  0, 0, 205, 229
+#else
+IDD_MAIN DIALOG  0, 0, 205, 229
+#endif
+STYLE DS_SETFONT | DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
 CAPTION "ActiveBasic Compiler&Debugger"
 FONT 9, "ＭＳ Ｐゴシック"
@@ -190,21 +160,13 @@
     LTEXT           "Output:",IDC_STATIC,7,10,22,8
     EDITTEXT        IDC_EXEPATH,34,7,164,14,ES_AUTOHSCROLL
-    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x0,13,56,
-                    179,14
+    CONTROL         "Progress1",IDC_PROGRESS,"msctls_progress32",0x0,13,56,179,14
     GROUPBOX        "Advance situation",IDC_STATIC,7,31,191,45
     LTEXT           "ready...",IDC_MESSAGE,13,44,161,8
     GROUPBOX        "Message list",IDC_STATIC,7,83,191,117
-    EDITTEXT        IDC_ERRORLIST,13,113,179,80,ES_MULTILINE | 
-                    ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | 
-                    WS_VSCROLL | WS_HSCROLL
-    CONTROL         "Error",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,13,97,30,10
-    CONTROL         "Debug",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,50,97,35,10
-    EDITTEXT        IDC_DEBUGLIST,13,113,179,80,ES_MULTILINE | 
-                    ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | 
-                    WS_DISABLED | WS_VSCROLL | WS_HSCROLL
-    LTEXT           "Version 4.00 Global Edition beta1",IDC_STATIC,7,214,98,
-                    8
+    EDITTEXT        IDC_ERRORLIST,13,113,179,80,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    CONTROL         "Error",IDC_SHOWERROR,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,13,97,30,10
+    CONTROL         "Debug",IDC_SHOWDEBUG,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,50,97,35,10
+    EDITTEXT        IDC_DEBUGLIST,13,113,179,80,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | NOT WS_VISIBLE | WS_DISABLED | WS_VSCROLL | WS_HSCROLL
+    LTEXT           "Version 4.00 Global Edition beta1",IDC_STATIC,7,214,98,8
 END
 #endif
@@ -212,9 +174,9 @@
 #if defined(APSTUDIO_INVOKED) || defined(ENG)
 #if defined(APSTUDIO_INVOKED)
-IDD_VARLIST$(ENG) DIALOG DISCARDABLE  0, 0, 215, 199
-#else
-IDD_VARLIST DIALOG DISCARDABLE  0, 0, 215, 199
-#endif
-STYLE WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
+IDD_VARLIST$(ENG) DIALOG  0, 0, 215, 199
+#else
+IDD_VARLIST DIALOG  0, 0, 215, 199
+#endif
+STYLE DS_SETFONT | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
 CAPTION "Breakpoint"
 FONT 9, "ＭＳ Ｐゴシック"
@@ -223,18 +185,11 @@
     LTEXT           "Level:",IDC_STATIC,2,9,18,8
     LTEXT           "Thread:",IDC_STATIC,2,26,22,8
-    COMBOBOX        IDC_THREADCOMBO,43,24,69,100,CBS_DROPDOWNLIST | CBS_SORT | 
-                    WS_VSCROLL | WS_TABSTOP
-    CONTROL         "Tree1",IDC_VARTREE,"SysTreeView32",TVS_HASBUTTONS | 
-                    TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP,
-                    0,88,215,111
-    CONTROL         "Global",IDC_GLOBAL,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,43,6,47,14
-    CONTROL         "Local",IDC_LOCAL,"Button",BS_AUTORADIOBUTTON | 
-                    BS_PUSHLIKE,92,6,47,14
+    COMBOBOX        IDC_THREADCOMBO,43,24,69,100,CBS_DROPDOWNLIST | CBS_SORT | WS_VSCROLL | WS_TABSTOP
+    CONTROL         "Tree1",IDC_VARTREE,"SysTreeView32",TVS_HASBUTTONS | TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP,0,88,215,111
+    CONTROL         "Global",IDC_GLOBAL,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,43,6,47,14
+    CONTROL         "Local",IDC_LOCAL,"Button",BS_AUTORADIOBUTTON | BS_PUSHLIKE,92,6,47,14
     LTEXT           "Procedure:",IDC_STATIC,2,43,31,8
-    COMBOBOX        IDC_PROCCOMBO,43,40,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | 
-                    WS_TABSTOP
-    CONTROL         "Hide system variables",IDC_HIDESYSVAR,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,117,44,81,10
+    COMBOBOX        IDC_PROCCOMBO,43,40,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    CONTROL         "Hide system variables",IDC_HIDESYSVAR,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,117,44,81,10
     PUSHBUTTON      "Step In",IDC_STEPIN,4,64,50,14
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,59,215,1
@@ -250,25 +205,20 @@
 IDD_DEBUGGER DIALOGEX 0, 0, 291, 148
 #endif
-STYLE WS_CHILD
+STYLE DS_SETFONT | WS_CHILD
 FONT 9, "ＭＳ Ｐゴシック", 0, 0, 0x1
 BEGIN
     LTEXT           "対象スレッド:",IDC_STATIC,5,21,38,8
-    COMBOBOX        IDC_THREADCOMBO,5,30,69,100,CBS_DROPDOWNLIST | CBS_SORT | 
-                    WS_VSCROLL | WS_TABSTOP
+    COMBOBOX        IDC_THREADCOMBO,5,30,69,100,CBS_DROPDOWNLIST | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     LTEXT           "プロシージャ:",IDC_STATIC,5,49,39,8
-    COMBOBOX        IDC_PROCCOMBO,5,58,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | 
-                    WS_TABSTOP
+    COMBOBOX        IDC_PROCCOMBO,5,58,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,15,99,1
-    LTEXT           "dummy",IDC_VARPOS,98,0,35,41,NOT WS_VISIBLE,
-                    WS_EX_STATICEDGE
-    CONTROL         "List2",IDC_WATCHLIST,"SysListView32",LVS_REPORT | 
-                    LVS_EDITLABELS | WS_BORDER | WS_TABSTOP,171,9,60,50,
-                    WS_EX_ACCEPTFILES
+    LTEXT           "dummy",IDC_VARPOS,98,0,35,41,NOT WS_VISIBLE,WS_EX_STATICEDGE
+    CONTROL         "List2",IDC_WATCHLIST,"SysListView32",LVS_REPORT | LVS_EDITLABELS | WS_BORDER | WS_TABSTOP,171,9,60,50,WS_EX_ACCEPTFILES
     LTEXT           "コマンド",IDC_STATIC,3,3,23,8
 END
 #endif
 
-IDD_DEBUGGER_TOOLBARBASE DIALOG DISCARDABLE  0, 0, 62, 15
-STYLE WS_CHILD | WS_VISIBLE
+IDD_DEBUGGER_TOOLBARBASE DIALOG  0, 0, 62, 15
+STYLE DS_SETFONT | WS_CHILD | WS_VISIBLE
 FONT 9, "ＭＳ Ｐゴシック"
 BEGIN
@@ -281,19 +231,14 @@
 IDD_DEBUGGER DIALOGEX 0, 0, 291, 148
 #endif
-STYLE WS_CHILD
+STYLE DS_SETFONT | WS_CHILD
 FONT 9, "ＭＳ Ｐゴシック", 0, 0, 0x1
 BEGIN
     LTEXT           "Thread:",IDC_STATIC,5,21,22,8
-    COMBOBOX        IDC_THREADCOMBO,5,30,69,100,CBS_DROPDOWNLIST | CBS_SORT | 
-                    WS_VSCROLL | WS_TABSTOP
+    COMBOBOX        IDC_THREADCOMBO,5,30,69,100,CBS_DROPDOWNLIST | CBS_SORT | WS_VSCROLL | WS_TABSTOP
     LTEXT           "Procedure:",IDC_STATIC,5,49,31,8
-    COMBOBOX        IDC_PROCCOMBO,5,58,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | 
-                    WS_TABSTOP
+    COMBOBOX        IDC_PROCCOMBO,5,58,69,116,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
     CONTROL         "",IDC_STATIC,"Static",SS_ETCHEDHORZ,0,15,99,1
-    LTEXT           "dummy",IDC_VARPOS,98,0,35,41,NOT WS_VISIBLE,
-                    WS_EX_STATICEDGE
-    CONTROL         "List2",IDC_WATCHLIST,"SysListView32",LVS_REPORT | 
-                    LVS_EDITLABELS | WS_BORDER | WS_TABSTOP,171,9,60,50,
-                    WS_EX_ACCEPTFILES
+    LTEXT           "dummy",IDC_VARPOS,98,0,35,41,NOT WS_VISIBLE,WS_EX_STATICEDGE
+    CONTROL         "List2",IDC_WATCHLIST,"SysListView32",LVS_REPORT | LVS_EDITLABELS | WS_BORDER | WS_TABSTOP,171,9,60,50,WS_EX_ACCEPTFILES
     LTEXT           "コマンド",IDC_STATIC,3,3,23,8
 END
@@ -307,5 +252,5 @@
 
 #ifdef APSTUDIO_INVOKED
-GUIDELINES DESIGNINFO MOVEABLE PURE 
+GUIDELINES DESIGNINFO 
 BEGIN
     "IDD_MAIN$(JPN)", DIALOG
@@ -353,10 +298,10 @@
 // Icon with lowest ID value placed first to ensure application icon
 // remains consistent on all systems.
-IDI_MAIN                ICON    DISCARDABLE     "icon1.ico"
-IDI_VARSTRUCT           ICON    DISCARDABLE     "VarStruct.ico"
-IDI_VARDATA             ICON    DISCARDABLE     "VarData.ico"
-IDI_VARSTR              ICON    DISCARDABLE     "VarStr.ico"
-IDI_VARARRAY            ICON    DISCARDABLE     "VarArray.ico"
-IDI_VARPTRSTRUCT        ICON    DISCARDABLE     "VarPtrStruct.ico"
+IDI_MAIN                ICON                    "icon1.ico"
+IDI_VARSTRUCT           ICON                    "VarStruct.ico"
+IDI_VARDATA             ICON                    "VarData.ico"
+IDI_VARSTR              ICON                    "VarStr.ico"
+IDI_VARARRAY            ICON                    "VarArray.ico"
+IDI_VARPTRSTRUCT        ICON                    "VarPtrStruct.ico"
 
 /////////////////////////////////////////////////////////////////////////////
@@ -365,5 +310,5 @@
 //
 
-IDR_DEBUGGERTOOLBAR TOOLBAR MOVEABLE PURE  16, 15
+IDR_DEBUGGERTOOLBAR TOOLBAR  16, 15
 BEGIN
     BUTTON      IDC_DEBUG_START
@@ -378,6 +323,6 @@
 //
 
-IDR_DEBUGGERTOOLBAR     BITMAP  MOVEABLE PURE   "toolbar_debugger.bmp"
-IDR_DEBUGGERTOOLBAR_DISABLED BITMAP  MOVEABLE PURE   "toolbar_debugger_disable.bmp"
+IDR_DEBUGGERTOOLBAR     BITMAP                  "toolbar_debugger.bmp"
+IDR_DEBUGGERTOOLBAR_DISABLED BITMAP                  "toolbar_debugger_disable.bmp"
 
 /////////////////////////////////////////////////////////////////////////////
@@ -386,16 +331,15 @@
 //
 
-IDR_DEBUGGER_VARLIST_MENU MENU DISCARDABLE 
+IDR_DEBUGGER_VARLIST_MENU MENU 
 BEGIN
     POPUP "dummy"
     BEGIN
-        MENUITEM "一般システム変数を表示する",  IDM_SHOW_DEFAULTSYSTEM_VAR
-        MENUITEM "RADシステム変数を表示する",   IDM_SHOW_RAD_VAR
-        MENUITEM "GUID変数を表示する",          IDM_SHOW_GUID_VAR
-    END
-END
-
-
-#ifndef _MAC
+        MENUITEM "一般システム変数を表示する",               IDM_SHOW_DEFAULTSYSTEM_VAR
+        MENUITEM "RADシステム変数を表示する",              IDM_SHOW_RAD_VAR
+        MENUITEM "GUID変数を表示する",                 IDM_SHOW_GUID_VAR
+    END
+END
+
+
 /////////////////////////////////////////////////////////////////////////////
 //
@@ -404,6 +348,6 @@
 
 VS_VERSION_INFO VERSIONINFO
- FILEVERSION 5,0,0,0
- PRODUCTVERSION 5,0,0,0
+ FILEVERSION 5,0,6,0
+ PRODUCTVERSION 5,0,6,0
  FILEFLAGSMASK 0x17L
 #ifdef _DEBUG
@@ -420,12 +364,12 @@
         BLOCK "041104b0"
         BEGIN
-            VALUE "CompanyName", "Discoversoft\0"
-            VALUE "FileDescription", "ActiveBasic\0"
-            VALUE "FileVersion", "5, 0, 0, 0\0"
-            VALUE "InternalName", "ActiveBasic\0"
-            VALUE "LegalCopyright", "Copyright (C) 2007\0"
-            VALUE "OriginalFilename", "BasicCompiler32.exe\0"
-            VALUE "ProductName", "ActiveBasic\0"
-            VALUE "ProductVersion", "5, 0, 0, 0\0"
+            VALUE "CompanyName", "activebasic.com"
+            VALUE "FileDescription", "ActiveBasic"
+            VALUE "FileVersion", "5, 0, 6, 0"
+            VALUE "InternalName", "ActiveBasic"
+            VALUE "LegalCopyright", "Copyright (C) 2008 activebasic.com"
+            VALUE "OriginalFilename", "BasicCompiler32.exe"
+            VALUE "ProductName", "ActiveBasic"
+            VALUE "ProductVersion", "5, 0, 6, 0"
         END
     END
@@ -436,6 +380,4 @@
 END
 
-#endif    // !_MAC
-
 #endif    // 日本語 resources
 /////////////////////////////////////////////////////////////////////////////