Index: trunk/ab5.0/abdev/BasicCompiler64/Compile_Var.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler64/Compile_Var.cpp	(revision 463)
+++ trunk/ab5.0/abdev/BasicCompiler64/Compile_Var.cpp	(revision 468)
@@ -32,5 +32,5 @@
 	NumOpe( &reg, lpPtrOffset, Type(), type );
 	if( !type.IsWhole() ){
-		SetError(46,NULL,cp);
+		compiler.errorMessenger.Output(46,NULL,cp);
 	}
 	ExtendTypeTo64(type.GetBasicType(),reg);
@@ -52,5 +52,5 @@
 	else{
 		//エラー
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		return;
 	}
@@ -153,5 +153,5 @@
 		if( !type.IsWhole() )
 		{
-			SetError(46,NULL,cp);
+			compiler.errorMessenger.Output(46,NULL,cp);
 		}
 		ExtendTypeTo64( type.GetBasicType(), reg );
@@ -211,5 +211,5 @@
 	if( !pMember )
 	{
-		if(isErrorEnabled) SetError(103,VarName,cp);
+		if(isErrorEnabled) compiler.errorMessenger.Output(103,VarName,cp);
 		return false;
 	}
@@ -222,5 +222,5 @@
 		//同一クラスオブジェクトの場合はプライベートアクセスを容認する
 		if(pMember->IsNoneAccess()){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
@@ -229,9 +229,9 @@
 		if((bPrivateAccess==0&&pMember->IsPrivate())||
 			pMember->IsNoneAccess()){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
 		else if(bPrivateAccess==0&&pMember->IsProtected()){
-			if(isErrorEnabled) SetError(108,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(108,VarName,cp);
 			return false;
 		}
@@ -245,5 +245,5 @@
 		){
 			//Const定義の変数に書き込みアクセスをしようとした場合
-			SetError(61,VarName,cp);
+			compiler.errorMessenger.Output(61,VarName,cp);
 	}
 
@@ -262,5 +262,5 @@
 	else{
 		if(lpPtrOffset[0]){
-			if(isErrorEnabled) SetError(16,member,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(16,member,cp);
 			return false;
 		}
@@ -275,5 +275,5 @@
 		//配列オフセット
 		if(!GetArrayOffset(pMember->GetSubscripts(),array,pMember->GetType())){
-			if(isErrorEnabled) SetError(14,member,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(14,member,cp);
 			return false;
 		}
@@ -288,5 +288,5 @@
 		if( resultType.IsObject() || resultType.IsStruct() ){
 			if( refType != RefDot ){
-				if(isErrorEnabled) SetError(104,member,cp);
+				if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 				return false;
 			}
@@ -304,5 +304,5 @@
 				if( ( resultType.IsObjectPtr() || resultType.IsStructPtr() )
 					&& refType != RefDot ){
-						if(isErrorEnabled) SetError(104,member,cp);
+						if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 						return false;
 				}
@@ -318,5 +318,5 @@
 				if( (resultType.IsObjectPtr() || resultType.IsStructPtr() )
 					&& refType != RefPointer ){
-						if(isErrorEnabled) SetError(104,member,cp);
+						if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 						return false;
 				}
@@ -332,5 +332,5 @@
 				//ppObj[n]->member
 				if( refType != RefPointer ){
-					if(isErrorEnabled) SetError(104,member,cp);
+					if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 					return false;
 				}
@@ -346,5 +346,5 @@
 			}
 			else{
-				if(isErrorEnabled) SetError(104,member,cp);
+				if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 				return false;
 			}
@@ -427,5 +427,5 @@
 			else{
 				if(lpPtrOffset[0]){
-					SetError(16,variable,cp);
+					compiler.errorMessenger.Output(16,variable,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -507,5 +507,5 @@
 			compiler.pCompilingClass->IsCompilingDestructor() == false
 			){
-				SetError(131, NULL, cp );
+				compiler.errorMessenger.Output(131, NULL, cp );
 		}
 
@@ -596,5 +596,5 @@
 		}
 
-		if(isErrorEnabled) SetError(3,variable,cp);
+		if(isErrorEnabled) compiler.errorMessenger.Output(3,variable,cp);
 		pRelativeVar->dwKind=NON_VAR;
 		return false;
@@ -612,5 +612,5 @@
 		else{
 			if(lpPtrOffset[0]){
-				SetError(16,variable,cp);
+				compiler.errorMessenger.Output(16,variable,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -638,9 +638,9 @@
 		if( resultType.IsObject() ){
 			//オブジェクト定数
-			SetError(130, VarName, cp );
+			compiler.errorMessenger.Output(130, VarName, cp );
 		}
 		else{
 			//一般のConst変数
-			SetError(61,VarName,cp);
+			compiler.errorMessenger.Output(61,VarName,cp);
 		}
 	}
@@ -666,5 +666,5 @@
 	if(array[0]){
 		if(!GetArrayOffset(*pSubscripts,array,resultType)){
-			SetError(14,variable,cp);
+			compiler.errorMessenger.Output(14,variable,cp);
 			pRelativeVar->dwKind=NON_VAR;
 			return false;
@@ -675,5 +675,5 @@
 			//実態オブジェクトのメンバを参照（obj.member）
 			if( refType != RefDot ){
-				SetError(104,VarName,cp);
+				compiler.errorMessenger.Output(104,VarName,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -690,5 +690,5 @@
 				//pObj[n].member
 				if( refType != RefDot ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -700,5 +700,5 @@
 				//pObj->member
 				if( refType != RefPointer ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -717,5 +717,5 @@
 				//ppObj[n]->member
 				if( refType != RefPointer ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -732,5 +732,5 @@
 			}
 			else{
-				SetError(104,VarName,cp);
+				compiler.errorMessenger.Output(104,VarName,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -738,5 +738,5 @@
 		}
 		else{
-			SetError(102,VarName,cp);
+			compiler.errorMessenger.Output(102,VarName,cp);
 			pRelativeVar->dwKind=NON_VAR;
 			return false;
@@ -785,5 +785,5 @@
 				while(1){
 					if( subscripts[0] < i2 ){
-						SetError(41,0,cp);
+						compiler.errorMessenger.Output(41,0,cp);
 						return 0;
 					}
@@ -807,5 +807,5 @@
 			BOOST_FOREACH( CMember *pMember, objClass.GetDynamicMembers() ){
 				if(InitBuf[i]=='\0'){
-					SetError(41,0,cp);
+					compiler.errorMessenger.Output(41,0,cp);
 					return false;
 				}
@@ -823,5 +823,5 @@
 		}
 
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -833,5 +833,5 @@
 
 	if( subscripts.size() > 0 ){
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -947,5 +947,5 @@
 				while(1){
 					if( subscripts[0] < i2 ){
-						SetError(41,0,cp);
+						compiler.errorMessenger.Output(41,0,cp);
 						return 0;
 					}
@@ -969,5 +969,5 @@
 			BOOST_FOREACH( CMember *pMember, objClass.GetDynamicMembers() ){
 				if(InitBuf[i]=='\0'){
-					SetError(41,0,cp);
+					compiler.errorMessenger.Output(41,0,cp);
 					return false;
 				}
@@ -987,5 +987,5 @@
 		}
 
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -997,5 +997,5 @@
 
 	if( subscripts.size() > 0 ){
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -1113,5 +1113,5 @@
 		if( UserProc::CompilingUserProc().GetLocalVars().DuplicateCheck( VarName ) ){
 			//２重定義のエラー
-			SetError(15,VarName,cp);
+			compiler.errorMessenger.Output(15,VarName,cp);
 			return;
 		}
@@ -1227,5 +1227,5 @@
 		else{
 			if( subscripts.size() > 1 ){
-				SetError(300,NULL,cp);
+				compiler.errorMessenger.Output(300,NULL,cp);
 			}
 			sprintf( objectSize, "%d", subscripts[0] );
@@ -1237,5 +1237,5 @@
 		GetVarOffset( true, false, VarName, &RelativeVar, tempType );
 		if( RelativeVar.dwKind == VAR_DIRECTMEM ){
-			SetError();
+			compiler.errorMessenger.OutputFatalError();
 		}
 		SetVariableFromRax( Type( DEF_OBJECT, *compiler.GetObjectModule().meta.GetClasses().GetObjectClassPtr() ), DEF_OBJECT, &RelativeVar );
@@ -1243,5 +1243,5 @@
 }
 void SetVarPtrToReg(int reg,RELATIVE_VAR *pRelativeVar){
-	if(!IsGeneralReg(reg)) SetError(300,NULL,cp);
+	if(!IsGeneralReg(reg)) compiler.errorMessenger.Output(300,NULL,cp);
 
 	if(pRelativeVar->dwKind==VAR_GLOBAL){
@@ -1319,5 +1319,5 @@
 	const UserProc *pUserProc_AddGlobalRootPtr = GetClassMethod( "_System_CGarbageCollection", "AddGlobalRootPtr" );
 	if( !pUserProc_AddGlobalRootPtr ){
-		SetError(3, "_System_CGarbageCollection.AddGlobalRootPtr", -1 );
+		compiler.errorMessenger.Output(3, "_System_CGarbageCollection.AddGlobalRootPtr", -1 );
 		return false;
 	}